> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vpc-network/cross-region-bandwidth/describecrossregionbandwidthmonitordata.md).

# DescribeCrossRegionBandwidthMonitorData

## 1. API Description

This API (DescribeCrossRegionBandwidthMonitorData) is used to query the monitoring data of a VPC cross-region bandwidth.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type                                                                                                         | Description                                                                                                                                                                                                                      |
| ---------------------- | -------- | ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| crossRegionBandwidthId | Yes      | String                                                                                                       | <p>ID of the VPC cross-region bandwidth to be queried.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/cross-region-bandwidth/describecrossregionbandwidth.md">DescribeCrossRegionBandwidth</a>.</p> |
| metricType             | Yes      | [CrossRegionBandwidthApiMonitorMeta](/api-reference/zec/datastructure.md#crossregionbandwidthapimonitormeta) | Type of the VPC cross-region bandwidth monitoring metric.                                                                                                                                                                        |
| startTime              | Yes      | String                                                                                                       | <p>Start time.</p><p>Time format: yyyy-MM-ddTHH: mm: ssZ .</p>                                                                                                                                                                   |
| endTime                | Yes      | String                                                                                                       | <p>End time.</p><p>Time format: yyyy-MM-ddTHH: mm: ssZ .</p>                                                                                                                                                                     |

## 3. Output Parameters

| Parameter Name    | Type                                                                                                            | Description                                                                                                           |
| ----------------- | --------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId         | String                                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| inMaxValue        | Float                                                                                                           | Maximum inbound bandwidth.                                                                                            |
| inAvgValue        | Float                                                                                                           | Average inbound bandwidth.                                                                                            |
| inMinValue        | Float                                                                                                           | Minimum inbound bandwidth.                                                                                            |
| inTotalValue      | Float                                                                                                           | Total inbound bandwidth.                                                                                              |
| outMaxValue       | Float                                                                                                           | Maximum outbound bandwidth.                                                                                           |
| outAvgValue       | Float                                                                                                           | Average outbound bandwidth.                                                                                           |
| outMinValue       | Float                                                                                                           | Minimum outbound bandwidth.                                                                                           |
| outTotalValue     | Float                                                                                                           | Total outbound bandwidth.                                                                                             |
| loseInMaxValue    | Float                                                                                                           | Inbound maximum loss value.                                                                                           |
| loseInMinValue    | Float                                                                                                           | Inbound minimum loss value.                                                                                           |
| loseInTotalValue  | Float                                                                                                           | Inbound total loss value.                                                                                             |
| loseOutMaxValue   | Float                                                                                                           | Outbound maximum loss value.                                                                                          |
| loseOutMinValue   | Float                                                                                                           | Outbound minimum loss value.                                                                                          |
| loseOutTotalValue | Float                                                                                                           | Outbound total loss value.                                                                                            |
| dataList          | Array of [CrossRegionBandwidthMetricValue](/api-reference/zec/datastructure.md#crossregionbandwidthmetricvalue) | Information on performance metric data.                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the monitoring data of the VPC cross-region bandwidth metric "BANDWIDTH" within a period of time.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCrossRegionBandwidthMonitorData
<Common Request Params>

Request：
{
    "crossRegionBandwidthId": "<your cross id>",
    "metricType": "BANDWIDTH",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T02:05:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "inMaxValue": 100.5,
    "inAvgValue": 100.5,
    "inMinValue": 100.5,
    "inTotalValue": 100.5,
    "outMaxValue": 100.5,
    "outAvgValue": 100.5,
    "outMinValue": 100.5,
    "outTotalValue": 100.5,
    "loseInMaxValue": 1.5,
    "loseInMinValue": 0,
    "loseInTotalValue": 3,
    "loseOutMaxValue": 1.5,
    "loseOutMinValue": 0,
    "loseOutTotalValue": 3,
    "dataList": [
      {
        "time": "2025-06-25T01:55:00Z",
        "inValue": 100.5,
        "loseInValue": 1.5,
        "outValue": 100.5,
        "loseOutValue": 1.5
      },
      {
        "time": "2025-06-25T02:00:00Z",
        "inValue": 100.5,
        "loseInValue": 0,
        "outValue": 100.5,
        "loseOutValue": 0
      },
      {
        "time": "2025-06-25T02:05:00Z",
        "inValue": 100.5,
        "loseInValue": 1.5,
        "outValue": 100.5,
        "loseOutValue": 1.5
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
